Could someone please tell me if there’s a way to copy multiple components at once. I’m using it for landscaping and would like to copy a shrub one time, but be able to place the same shrub multiple times throughout my design without having to copy it each time over and over. Thanks
You can make arrays by using the Move tool to copy. Hit Ctrl and drag a copy of the selected component. Type in the distance and then hit Enter. Immediately type xn Enter where n is the number of copies. This will space copies equally at the distance you entered. Or use /n Enter to get copies spaced equally between the first and last.
If you want to place the copies more less randomly, you can copy the component to the clip with Ctrl+C and use Ctrl+V to paste. Hit Ctrl+V and then click with the mouse where you want to place a copy. Keep repeating until you have the desired number of copies. There are a few extensions out there that can randomly scatter copies around a face, too.
I want to freely be able to drop them off versus the array system. Is there a way to do that? Thanks for your response.
Yes. I described that. Use Copy and Paste.
Sorry…I didn’t see the second paragraph. Thanks for your help!! I appreciate it!
If you intend to use the shrub in other models you can also save it into your components library. Then simply “drag and drop” from the component browser into any model.
May be useful in the future for you (if you don’t have it saved already)
@009587MS, Marty …
Actually the easiest way, having already placed one into the model, is to use the MoveTool to copy it multiple times.
If one of the original instances is not visible, then place a new one from the “In Model” components collection (via Component manager,) drag a new copy into the model, place, it and it will be inserted, and you are left with the MoveTool active, and this new instance already selected.
To copy tap the CTRL key and you’ll see the cursor change to add a “+”. Click the base point of displacement (a new instance will be now attached to the cursor, and then click the destination point.
Even better…
If one of the shrub instances is visible, you can skip the step of dragging a new one from the “In Model” collection.
Just activate the MoveTool with no selection. Hover over any component instance that you’d like to copy. (Doesn’t need to be the shrub, could be a tree, whatever.) You’ll notice that the MoveTool will “hover select” components and groups.
Just tap the CTRL key (to get a “+” cursor,) and click the drag point then drag-copy to a new location.
Notice the instance is de-selected after the move-copy. Leaving you in the this “hover select” move or copy mode. You can go on adjusting new copies, or move current instances if needed, just by use of CTRL key or not.
But still not a multiple drop ?
Well okay, here is a one-liner you can paste into the Ruby console, after having selected an instance in the model.
Sketchup.active_model.place_component( Sketchup.active_model.selection[0].definition, true )
This will repeatedly attach a new instance to your mouse cursor, allowing you to drop new instances with a single click. (You are basically within a special MoveTool with “+” loop.)
You will need to tap the ESC key to stop placing the instances.
This is a great example of a ‘Macro’-kind of working inside SketchUp, do you have more examples of oneliners?
Other one-liners have been given all over the various forums for years and years.
You may be able to assign this to a button using Aerilius’ Toolbar Editor plugin.
http://extensions.sketchup.com/en/content/toolbar-editor
Dan
This would be a useful thing for me but I cannot get it to work. I have not used the Ruby Console before so I am probably doing something wrong. But this is what I get:
Yeah ya’ are. This only works for objects that have a definition, which are group or component instances. It does not work on primitive geometric objects (edges, faces, arcs, etc.)
Perhaps you missed the word “components” in the topic title ?
Whoops! yes.
However, Dave’s explanation of the COPY and PASTE, PASTE, PASTE … repeat workflow does work for primitives.
I guess I am always looking for ways to reduce keyboard input, even if that just means hitting the modifier key each time or Ctrl-V. In Autocad, for example, if you select the Copy command (not copy to clipboard), you can then place a copy and then another ad infinitum until you cancel the command. Once you have started, you only need the mouse. It’s one of the (few) things I really miss.
I think that might be useful but again appears to relate only to components, not raw geometry.
I have just tested it and it also works with groups but not raw geometry.
Because ThomThom’s Repeat Place Component plugin just wraps the command I show above into a right-click context menu command.
Now there may be a possibility via Ruby code to clone some primitives into a group then do the repeat place and ask the user if they wish to explode them afterward. This nags at my memory. We might have discussed this in the Ruby API subcategory in the past.